#include once "window9.bi"

Function ComboBoxGadget Alias "ComboBoxGadget" (ByVal gadget As Integer, ByVal x As Integer,ByVal y As Integer,ByVal Width_ As Integer,ByVal height_ As Integer,ByVal par As Integer=CBS_DROPDOWNLIST Or WS_VSCROLL		) As HWND Export
  Var hhh= CreateWindowEx( 0, "COMBOBOX", "", WS_CHILD Or WS_VISIBLE  Or par , x, y,Width_,height_,Cast(HWND,GETGURRENTAL()), Cast(HMENU,gadget),0,0)
  ADDIN9999 (gadget,hhh)
  ColorAdd(hhh,16777215,0)
  COOLOOR(16777215,0)
  If GGF()<>0 Then
    SendMessage(Cast(HWND,hhh),WM_SETFONT,GGF(),0)
  EndIf
  Return hhh
End Function
